/****************************************************************************************

		ITreePrim.h

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	05/25/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		08/20/99	cph			updated to remove COM prefix
		06/11/99	Jerome		Added animation and saving
		05/25/99	Jerome		Creation

*****************************************************************************************/

#ifndef __ITREEPRIM__
#define __ITREEPRIM__  

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "ModelerDef.h"
#include "I3DExPrimitive.h"
#include "APITypes.h"

class TreeData;

extern const MCGUID IID_ITreePrim;

struct ITreePrim : public IMCUnknown
{
	virtual boolean		MCCOMAPI		SetData(const TreeData* data) = 0;		
	virtual void		MCCOMAPI		GetData(TreeData** data) = 0;
	virtual	boolean		MCCOMAPI		GetIfDataChanged() = 0;		
	virtual real		MCCOMAPI		GetAngleAndPoint( TMCPoint *pt, TMCPoint *pt0, int16 numView, real zoom ) = 0;	

};

#endif // __ITreePrim__